view mkinstalldirs @ 71524:d408779d0af3

(org-prepare-agenda-buffers): Use `invisible-OK' argument for `org-end-of-subtree'. (org-export-cleanup-toc-line): Renamed from `org-html-cleanup-toc-line'. (org-beginning-of-item): Fixed bug in regular expression for white line. (org-export-as-html): Enforce space after bullet in plain list items. (org-set-autofill-regexps): Require space after plain list bullet for paragraph-start. (org-ts-regexp3): New constant. (org-at-timestamp-p): New optional argument ALSO-INACTIVE. (org-timestamp-up-day, org-timestamp-down-day) (org-timestamp-change): Work with inactive timestamps. (org-ts-regexp1): Don't allow brackets in time stamps.
author Carsten Dominik <dominik@science.uva.nl>
date Thu, 29 Jun 2006 10:37:08 +0000
parents 746c40973d25
children 730155197b96 eb7e8d483840
line wrap: on
line source

#! /bin/sh
# mkinstalldirs --- make directory hierarchy
# Author: Noah Friedman <friedman@prep.ai.mit.edu>
# Created: 1993-05-16
# Public domain

errstatus=0

for file
do
   set fnord `echo ":$file" | sed -ne 's/^:\//#/;s/^://;s/\// /g;s/^#/\//;p'`
   shift

   pathcomp=
   for d
   do
     pathcomp="$pathcomp$d"
     case "$pathcomp" in
       -* ) pathcomp=./$pathcomp ;;
     esac

     if test ! -d "$pathcomp"; then
        echo "mkdir $pathcomp" 1>&2

        (mkdir "$pathcomp" && chmod a+rx "$pathcomp") || lasterr=$?

        if test ! -d "$pathcomp"; then
  	  errstatus=$lasterr
        fi
     fi

     pathcomp="$pathcomp/"
   done
done

exit $errstatus

# mkinstalldirs ends here